# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		pngtools
Version:	0.4
Release:	alt1_9
Summary:	Suite of utilities to work with PNG images
Source0:	https://www.stillhq.com/pngtools/source/%{name}_0_4.tgz
Source1:	pngchunks.1
Patch0:		pngtools-0.4-mga-man-section.patch
License:	GPLv2
Group:		Graphics
URL:		https://www.madebymikal.com/category/pngtools/
BuildRequires:	pkgconfig(libpng12)
Source44: import.info

%description
Provides a series of handy PNG tools:
- pngchunkdesc: decodes the "hidden" information in a PNG chunk name
- pngchunks: decodes the constituent parts of a PNG file
- pngcp: copies a PNG image while changing the bit depth or samples per pixel
- pnginfo: displays interesting information about a PNG file

%prep
%setup -q
%patch0 -p1


%build
%configure CPPFLAGS=-I/usr/include/libpng12
# The configure script doesn't allow linking against anything other than
# libpng, so override the configured libs with the right one
%make_build LIBS='-lm -lpng12'

%install
%makeinstall
mkdir -p %{buildroot}%{_mandir}/man1
install -m 0644 man/pngchunkdesc.3 %{buildroot}/%{_mandir}/man1/pngchunkdesc.1
install -m 0644 man/pngcp.3 %{buildroot}/%{_mandir}/man1/pngcp.1
install -m 0644 man/pnginfo.3 %{buildroot}/%{_mandir}/man1/pnginfo.1
install -m 0644 %{_sourcedir}/pngchunks.1 %{buildroot}/%{_mandir}/man1/pngchunks.1

%files
%doc AUTHORS README
%{_bindir}/pngchunkdesc
%{_bindir}/pngchunks
%{_bindir}/pngcp
%{_bindir}/pnginfo
%{_mandir}/man1/pngchunkdesc.1*
%{_mandir}/man1/pngchunks.1*
%{_mandir}/man1/pngcp.1*
%{_mandir}/man1/pnginfo.1*


%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 0.4-alt1_9
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_8
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_7
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_6
- new version

